### Method

# Gdk Surface create_vulkan_context

deprecated: 4.14

#### Declaration [src]

    GdkVulkanContext*
    gdk_surface_create_vulkan_context (
      GdkSurface* surface
      GError** error
    )

#### Description [src]

Sets an error and returns `NULL`.

Deprecated since: 4.14

GTK does not expose any Vulkan internals. This function is a leftover that was accidentally exposed.

#### Return value

Type: `GdkVulkanContext`

`NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.